package be.iminds.ilabt.jfed.experimenter_gui.bugreporting;

import be.iminds.ilabt.jfed.lowlevel.api_wrapper.ErrorDetails;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;
import java.util.List;

/**
 * User: twalcari
 * Date: 4/1/2014
 * Time: 15:53
 */
@XmlRootElement(name = "sliver")
public class BRSliver {

    private String sliverUrn;
    private String currentStatus;
    private String sliverStatus;
    private List<String> components;
    private List<ErrorDetails> errorDetails;


    public BRSliver() {
    }

    @XmlElementWrapper(name="components")
    @XmlElement(name="component")
    public List<String> getComponents() {
        return components;
    }

    public void setComponents(List<String> components) {
        this.components = components;
    }

    public String getSliverUrn() {
        return sliverUrn;
    }

    public void setSliverUrn(String sliverUrn) {
        this.sliverUrn = sliverUrn;
    }

    public String getCurrentStatus() {
        return currentStatus;
    }

    public void setCurrentStatus(String currentStatus) {
        this.currentStatus = currentStatus;
    }

    public String getSliverStatus() {
        return sliverStatus;
    }

    public void setSliverStatus(String sliverStatus) {
        this.sliverStatus = sliverStatus;
    }

    public List<ErrorDetails> getErrorDetails() {
        return errorDetails;
    }

    public void setErrorDetails(List<ErrorDetails> errorDetails) {
        this.errorDetails = errorDetails;
    }
}
