package be.iminds.ilabt.jfed.rspec.model.javafx_impl;

import be.iminds.ilabt.jfed.rspec.model.GeantTestbedType;
import javafx.beans.property.DoubleProperty;
import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

/**
 * User: twalcari
 * Date: 5/22/2015
 * Time: 10:38
 */
public class FXGeantTestbedType implements GeantTestbedType {
    private StringProperty name = new SimpleStringProperty();
    private StringProperty dsl = new SimpleStringProperty();

    private DoubleProperty editorX = new SimpleDoubleProperty();
    private DoubleProperty editorY = new SimpleDoubleProperty();

    public FXGeantTestbedType() {
    }

    public FXGeantTestbedType(String name) {
        this.name.setValue(name);
    }

    public FXGeantTestbedType(GeantTestbedType gtt) {
        setName(gtt.getName());
        setDsl(gtt.getDsl());

        setEditorX(gtt.getEditorX());
        setEditorY(gtt.getEditorY());

    }

    @Override
    public String getDsl() {
        return dsl.get();
    }

    public StringProperty dslProperty() {
        return dsl;
    }

    public void setDsl(String dsl) {
        this.dsl.set(dsl);
    }

    @Override
    public double getEditorX() {
        return editorX.get();
    }

    public DoubleProperty editorXProperty() {
        return editorX;
    }

    public void setEditorX(double editorX) {
        this.editorX.set(editorX);
    }

    @Override
    public double getEditorY() {
        return editorY.get();
    }

    public DoubleProperty editorYProperty() {
        return editorY;
    }

    public void setEditorY(double editorY) {
        this.editorY.set(editorY);
    }

    @Override
    public String getName() {
        return name.get();
    }

    public StringProperty nameProperty() {
        return name;
    }

    public void setName(String name) {
        this.name.set(name);
    }
}
